DeploymentTargets
Gets all selectable non-archived Deployment Targets based on the provided filters
Gets all selectable non-archived Deployment Targets based on the provided filters.
GET
/
api
/
admin
/
v1
/
deploymentTargets
/
selectable
Gets all selectable non-archived Deployment Targets based on the provided filters
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/selectable \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/selectable"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/selectable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"configuration": {
"credentials": {
"account": 1234,
"credentials": "vault-secret-name"
},
"sagemaker": {
"ecrUrl": "399181051250.dkr.ecr.us-east-1.amazonaws.com/rf-regression-juno:mlflow",
"executionRoleArn": "arn:aws:iam::1234567890:role/service-role/AmazonSageMaker-ExecutionRole",
"region": "us-east-1",
"sagemakerS3ModelsBucket": "domino-sagemaker"
}
},
"deploymentTargetTypeId": 0,
"deploymentTargetTypeName": "AWS",
"id": 1,
"name": "Local Dataplane Sagemaker",
"resourceConfigurations": [
{
"configuration": {
"instanceType": "m7g.medium"
},
"deploymentTargetId": 1,
"description": "Medium AWS Instance",
"id": 2,
"name": "Medium"
},
{
"configuration": {
"instanceType": "m7g.large"
},
"deploymentTargetId": 1,
"description": "Large AWS Instance",
"id": 3,
"name": "Large"
}
],
"userAndOrganizationIds": []
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Filter by Deployment Target name
Filter by deployment type
How many Deployment Targets from the start to skip. Defaults to 0.
Max number of Deployment Targets to fetch. Defaults to 10.
Last modified on August 18, 2026
Related topics
Gets all non-archived Deployment Targets based on the provided filtersGets all non-archived Resource Configurations based on the provided filtersAudit Trail Data GlossaryThe python-domino libraryWas this page helpful?
⌘I
Gets all selectable non-archived Deployment Targets based on the provided filters
